FisherGTest {ptest} | R Documentation

## Fisher's g test

### Description

Calculates p-value using Fisher's g-test for a single frequency.

### Usage

    FisherGTest(z)

### Arguments

`z` | Input series, no missing values.

### Details

Program is interfaced to C for efficient computation.

### Value

Vector of length 3 containing the g test statistic, the p-value, and the frequency for the maximum periodogram.

### Author(s)

A.I. McLeod

### References

Fisher, R.A. (1929). Tests of significance in harmonic analysis. Proc. Roy. Soc. A, 125, 54-59.

[Package ptest version 1.0-8 Index]